> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get supplier

> Retrieve a single supplier by ID.



## OpenAPI

````yaml /api-reference/openapi.json get /suppliers/{id}
openapi: 3.1.1
info:
  title: Dolfin API
  description: >-
    Dolfin API for AR & AP. Authenticate using the `x-dolfin-api-key` header
    with the API key distributed to your organisation.
  version: v1
servers:
  - url: https://api.dolfinai.co
    description: Production
security:
  - {}
tags:
  - name: Webhooks
  - name: Users
  - name: TaxRates
  - name: Suppliers
  - name: Supplier Credit Notes
  - name: Bills
  - name: SpendCategories
  - name: Payables
  - name: RecurringInvoices
  - name: Receivables
  - name: Purchase Orders
  - name: Products
  - name: Payments
  - name: Invoices
  - name: Organisations
  - name: Members
  - name: MCP
  - name: Matching
  - name: Invoice Reminders
  - name: Industries
  - name: Gmail
  - name: Delivery Notes
  - name: Customers
  - name: Currencies
  - name: Credit Notes
  - name: Clients
  - name: ClientInvites
  - name: BankPayments
  - name: Bank details
  - name: Auth
  - name: ApprovalPolicies
  - name: ApiKeys
  - name: Agent
paths:
  /suppliers/{id}:
    get:
      tags:
        - Suppliers
      summary: Get supplier
      description: Retrieve a single supplier by ID.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SupplierResponse'
        '404':
          description: >-
            Supplier.NotFound — supplier does not exist or belongs to a
            different organisation
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    SupplierResponse:
      required:
        - name
      type: object
      properties:
        id:
          type: string
          format: uuid
        organisationId:
          type: string
          format: uuid
        name:
          type: string
        email:
          type:
            - 'null'
            - string
        phone:
          type:
            - 'null'
            - string
        website:
          type:
            - 'null'
            - string
        taxNumber:
          type:
            - 'null'
            - string
        registrationNumber:
          type:
            - 'null'
            - string
        address:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/Address'
        bankDetails:
          $ref: '#/components/schemas/BankDetails'
        bankDetailsVerified:
          type: boolean
        bankDetailsVerifiedAt:
          type:
            - 'null'
            - string
          format: date-time
        paymentTermsDefault:
          type:
            - 'null'
            - string
        createdAt:
          type: string
          format: date-time
        createdBy:
          type:
            - 'null'
            - string
          format: uuid
        updatedAt:
          type: string
          format: date-time
        updatedBy:
          type:
            - 'null'
            - string
          format: uuid
    ProblemDetails:
      type: object
      properties:
        type:
          type:
            - 'null'
            - string
        title:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        detail:
          type:
            - 'null'
            - string
        instance:
          type:
            - 'null'
            - string
    Address:
      type: object
      properties:
        line1:
          type:
            - 'null'
            - string
        line2:
          type:
            - 'null'
            - string
        city:
          type:
            - 'null'
            - string
        postalCode:
          type:
            - 'null'
            - string
        country:
          type:
            - 'null'
            - string
          description: ISO 3166-1 alpha-2 country code (e.g. GB, US, DE)
    BankDetails:
      type: object
      properties:
        accountHolderName:
          type:
            - 'null'
            - string
        accountNumber:
          type:
            - 'null'
            - string
        sortCode:
          type:
            - 'null'
            - string
        routingNumber:
          type:
            - 'null'
            - string
        iban:
          type:
            - 'null'
            - string
        bicSwift:
          type:
            - 'null'
            - string
        country:
          type:
            - 'null'
            - string
          description: ISO 3166-1 alpha-2 country code (e.g. GB, US, DE)
        currency:
          type:
            - 'null'
            - string
          description: ISO 4217 currency code (e.g. GBP, USD, EUR)

````